## simage 1.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(SIMAGE_MAJOR_VERSION 1)
set(SIMAGE_MINOR_VERSION 8)
set(SIMAGE_MICRO_VERSION 0)
set(SIMAGE_BETA_VERSION)
set(SIMAGE_VERSION ${SIMAGE_MAJOR_VERSION}.${SIMAGE_MINOR_VERSION}.${SIMAGE_MICRO_VERSION}${SIMAGE_BETA_VERSION})

project(simage VERSION ${SIMAGE_MAJOR_VERSION}.${SIMAGE_MINOR_VERSION}.${SIMAGE_MICRO_VERSION})
string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)

# ############################################################################
# these will be removed after upgrading CMake minimum version
set(PROJECT_DESCRIPTION   "Image file format library abstraction layer")
# ############################################################################

string(TIMESTAMP SIMAGE_BUILD_YEAR "%Y")
math(EXPR SIMAGE_SO_VERSION ${PROJECT_VERSION_MAJOR}*20)
set(VERSION ${SIMAGE_VERSION})

if(POLICY CMP0075)
  # get rid of CMAKE_REQUIRED_LIBRARIES warning from CMake 3.12
  cmake_policy(SET CMP0075 NEW)
endif()

# ############################################################################
# Prevent in-source builds, as they often cause severe build problems
# ############################################################################

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
  message(FATAL_ERROR "${CMAKE_PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake <path_to_${CMAKE_PROJECT_NAME}> [options]' from there.")
endif()

# ############################################################################
# Include necessary submodules
# ############################################################################

include(CheckCXXSourceCompiles)
include(CheckIncludeFiles)
include(CMakePackageConfigHelpers)
include(CMakeDependentOption)
include(GNUInstallDirs)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_MODULE_PATH}")

# ############################################################################
# Provide options to customise the build
# ############################################################################

option(SIMAGE_BUILD_SHARED_LIBS "Build shared libraries" ON)
option(SIMAGE_BUILD_DOCUMENTATION "Build and install API documentation (requires Doxygen)." OFF)
if(WIN32)
  option(SIMAGE_USE_AVIENC "Use Video for Windows for AVI encoding" ON)
  option(SIMAGE_USE_GDIPLUS "Use GDI+ on Windows to load/save images" ON)
elseif(APPLE)
  option(SIMAGE_USE_CGIMAGE "Use CGImage on OS X to load/save images" ON)
  option(SIMAGE_USE_QUICKTIME "Use QuickTime on OS X to load/save images" OFF)
endif()
option(SIMAGE_USE_QIMAGE "Use Qt's QImage to load/save images" OFF)
cmake_dependent_option(SIMAGE_USE_QT5 "Prefer Qt5 over Qt4 if available" ON "SIMAGE_USE_QIMAGE" OFF)

function(report_prepare)
  set(multiValueArgs IF_APPLE IF_WIN32)
  cmake_parse_arguments(REPORT "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN} )
  if (REPORT_IF_APPLE AND APPLE) 
    list(APPEND res ${REPORT_IF_APPLE})
  endif()
  if (REPORT_IF_WIN32 AND WIN32) 
    list(APPEND res ${REPORT_IF_WIN32})
  endif()
  list(APPEND res ${REPORT_UNPARSED_ARGUMENTS})
  list(APPEND PACKAGE_OPTIONS ${res} )
  set(PACKAGE_OPTIONS "${PACKAGE_OPTIONS}" PARENT_SCOPE)
endfunction(report_prepare)

# ############################################################################
# Find all necessary and optional simage dependencies
# ############################################################################

# Fail early if one of the required packages cannot be found

if(SIMAGE_USE_QIMAGE)
  if(SIMAGE_USE_QT5)
    find_package(Qt5 COMPONENTS Core Gui QUIET)
  endif()
  
  if(Qt5_FOUND)
    set(QT_FOUND TRUE)
    set(QT_LIBRARIES ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES})
  else()
    set(QT_USE_IMPORTED_TARGETS ON)
    find_package(Qt4 COMPONENTS QtCore QtGui)
    include(${QT_USE_FILE})
  endif()
endif()

if(WIN32)
  # On Windows GDI+ supports GIF, JPEG, EXIF, PNG, and TIFF.  
  # see https://docs.microsoft.com/en-us/windows/desktop/gdiplus/-gdiplus-types-of-bitmaps-about
  find_package(GdiPlus)
  find_package(Vfw)
elseif(APPLE)
  # On macOS QuickTime supports BMP, GIF, JPEG, JPEG 2000, PNG, TIFF, and TGA.
  # see https://en.wikipedia.org/wiki/QuickTime
  find_package(QuickTime)
endif()
find_package(Jasper)
find_package(OggVorbis)
find_package(Sndfile)

if(APPLE AND SIMAGE_USE_CGIMAGE)
  check_cxx_source_compiles("
    #include <CoreFoundation/CoreFoundation.h>
    #include <ApplicationServices/ApplicationServices.h>
    int main() {
      CFStringRef cfname = CFStringCreateWithCString(kCFAllocatorDefault, \"filename.png\", kCFStringEncodingUTF8);
      CFURLRef texture_url = CFURLCreateWithFileSystemPath(kCFAllocatorDefault, cfname, kCFURLPOSIXPathStyle, false);
      CGImageSourceRef image_source = CGImageSourceCreateWithURL(texture_url, NULL);
      return 0;
    }
  " CGIMAGE_FOUND)
endif()

cmake_dependent_option(SIMAGE_AVIENC_SUPPORT "Enable support for AVI encoding (Win32 only)" ON "SIMAGE_USE_AVIENC;VFW_FOUND" OFF)
cmake_dependent_option(SIMAGE_CGIMAGE_SUPPORT "Use CGImage on macOS to load/save images" ON "APPLE;SIMAGE_USE_CGIMAGE;CGIMAGE_FOUND" OFF)
cmake_dependent_option(SIMAGE_GDIPLUS_SUPPORT "Use GDI+ on Windows to load/save images" ON "SIMAGE_USE_GDIPLUS;GDIPLUS_FOUND" OFF)
cmake_dependent_option(SIMAGE_LIBSNDFILE_SUPPORT "Use libsndfile to load/save sampled sound" ON "SNDFILE_FOUND" OFF)
cmake_dependent_option(SIMAGE_OGGVORBIS_SUPPORT "Enable support for ogg/vorbis extensions" ON "OGGVORBIS_FOUND" OFF)
cmake_dependent_option(SIMAGE_QIMAGE_SUPPORT "Use Qt's QImage to load/save images" ON "SIMAGE_USE_QIMAGE;QT_FOUND" OFF)
cmake_dependent_option(SIMAGE_QUICKTIME_SUPPORT "Use QuickTime on macOS to load/save images" ON "SIMAGE_USE_QUICKTIME;QUICKTIME_FOUND" OFF)

option(SIMAGE_EPS_SUPPORT "Enable support for encapsulated postscript export" ON)
option(SIMAGE_MPEG2ENC_SUPPORT "Enable support for mpeg2 encoding" ON)
option(SIMAGE_PIC_SUPPORT "Enable support for PIC images" ON)
option(SIMAGE_RGB_SUPPORT "Enable support for RGB images" ON)
if(NOT SIMAGE_QUICKTIME_SUPPORT AND NOT SIMAGE_CGIMAGE_SUPPORT)
  option(SIMAGE_TGA_SUPPORT "Enable support for Targa images" ON)
endif()
option(SIMAGE_XWD_SUPPORT "Enable support for XWD images (experimental)" OFF)

report_prepare(
  SIMAGE_BUILD_SHARED_LIBS
  SIMAGE_BUILD_DOCUMENTATION
  SIMAGE_USE_QIMAGE
  SIMAGE_USE_QT5
  SIMAGE_LIBSNDFILE_SUPPORT
  SIMAGE_OGGVORBIS_SUPPORT
  SIMAGE_QIMAGE_SUPPORT
  SIMAGE_EPS_SUPPORT
  SIMAGE_MPEG2ENC_SUPPORT
  SIMAGE_PIC_SUPPORT
  SIMAGE_RGB_SUPPORT
  SIMAGE_TGA_SUPPORT
  SIMAGE_XWD_SUPPORT
  IF_WIN32 
    SIMAGE_USE_AVIENC SIMAGE_USE_GDIPLUS SIMAGE_AVIENC_SUPPORT SIMAGE_GDIPLUS_SUPPORT
  IF_APPLE 
    SIMAGE_USE_CGIMAGE SIMAGE_USE_QUICKTIME SIMAGE_CGIMAGE_SUPPORT SIMAGE_QUICKTIME_SUPPORT
)

# ##########################################################################
# Setup build environment
# ##########################################################################

if(NOT CMAKE_BUILD_TYPE)
  # Has no effect for multi configuration generators (VisualStudio, Xcode).
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose type of build, options are Debug, Release, RelWithDebInfo, MinSizeRel." FORCE)
endif()
# Set common output directories for all targets built.
# First for the generic no-config case (e.g. with mingw)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
# Second, for multi-config builds (e.g. msvc)
foreach (_config ${CMAKE_CONFIGURATION_TYPES})
  string(TOUPPER ${_config} _config)
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${_config} "${CMAKE_BINARY_DIR}/lib")
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_${_config} "${CMAKE_BINARY_DIR}/lib")
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_${_config} "${CMAKE_BINARY_DIR}/bin")
endforeach()

if(SIMAGE_GDIPLUS_SUPPORT)
  set(CMAKE_REQUIRED_INCLUDES ${GDIPLUS_INCLUDE_DIRS})
  set(CMAKE_REQUIRED_LIBRARIES ${GDIPLUS_LIBRARIES})
endif()

check_include_files(dlfcn.h HAVE_DLFCN_H)
if(WIN32)
  check_cxx_source_compiles("
    #include <windows.h>
    #if defined(_MSC_VER) && (_MSC_VER == 1200) && !defined(ULONG_PTR)
    #define ULONG_PTR ULONG
    #endif
    #include <gdiplus.h>
    int main() { return 0; }
  " HAVE_GDIPLUS_H)
  check_cxx_source_compiles("
    #include <windows.h>
    #if defined(_MSC_VER) && (_MSC_VER == 1200) && !defined(ULONG_PTR)
    #define ULONG_PTR ULONG
    #endif
    #include <gdiplus.h>
    int main() {
      Gdiplus::Bitmap * bitmap = NULL;
      Gdiplus::BitmapData bitmapData;
      Gdiplus::Rect rect(0, 0, 100, 100);
      Gdiplus::Status result = bitmap->LockBits(&rect, Gdiplus::ImageLockModeRead, PixelFormat32bppARGB, &bitmapData);
      return 0;
    }
  " HAVE_GDIPLUS_LOCKBITS_RECTARG_POINTER)
endif()

if(NOT SIMAGE_QUICKTIME_SUPPORT AND NOT SIMAGE_CGIMAGE_SUPPORT AND NOT SIMAGE_GDIPLUS_SUPPORT)
  find_package(ZLIB)
  find_package(GIF)
  find_package(JPEG)
  find_package(PNG)
  find_package(TIFF)

  set(HAVE_ZLIB ${ZLIB_FOUND})
  set(HAVE_GIFLIB ${GIF_FOUND})
  set(HAVE_JPEGLIB ${JPEG_FOUND})
  set(HAVE_PNGLIB ${PNG_FOUND})
  set(HAVE_TIFFLIB ${TIFF_FOUND})
endif()

set(HAVE_JASPER ${JASPER_FOUND})
set(HAVE_VFW ${VFW_FOUND})

check_include_files(guile/gh.h HAVE_GUILE_GH_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
check_include_files(libguile.h HAVE_LIBGUILE_H)
check_include_files(memory.h HAVE_MEMORY_H)
check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(stdlib.h HAVE_STDLIB_H)
check_include_files(strings.h HAVE_STRINGS_H)
check_include_files(string.h HAVE_STRING_H)
check_include_files(sys/stat.h HAVE_SYS_STAT_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(windows.h HAVE_WINDOWS_H)

set(PACKAGE "simage")
set(PACKAGE_BUGREPORT "coin-support@coin3d.org")
set(PACKAGE_NAME "simage")
set(PACKAGE_STRING "simage ${SIMAGE_VERSION}")
set(PACKAGE_TARNAME "simage")
set(PACKAGE_URL "https://bitbucket.org/Coin3D/simage")
set(PACKAGE_VERSION "${SIMAGE_VERSION}")
check_include_files("assert.h;ctype.h;errno.h;float.h;limits.h;locale.h;math.h;setjmp.h;signal.h;stdarg.h;stddef.h;stdio.h;stdlib.h;string.h;time.h" STDC_HEADERS)
set(X_DISPLAY_MISSING ON)

configure_file(config.h.cmake.in config.h)

set(
  HDRS
  include/avi_encode.h
  include/simage.h
  include/simage_eps.h
  include/simage_jasper.h
  include/simage_libsndfile.h
  include/simage_oggvorbis.h
  include/simage_pic.h
  include/simage_private.h
  include/simage_rgb.h
  include/simage_xwd.h
)

set(
  SRCS
  src/avi_encode.c
  src/movie.c
  src/params.c
  src/resize.c
  src/simage.c
  src/simage_avi.c
  src/simage_eps.c
  src/simage_jasper.c
  src/simage_libsndfile.c
  src/simage_oggvorbis_reader.c
  src/simage_pic.c
  src/simage_rgb.c
  src/simage_write.c
  src/simage_xwd.c
  src/simage12.c
  src/simage13.c
  src/stream.c
)

if(SIMAGE_CGIMAGE_SUPPORT)
  list(APPEND HDRS include/simage_cgimage.h)
  list(APPEND SRCS src/simage_cgimage.c)
endif()

if(SIMAGE_GDIPLUS_SUPPORT)
  list(APPEND HDRS include/simage_gdiplus.h)
  list(APPEND SRCS src/simage_gdiplus.cpp)
endif()

if(SIMAGE_MPEG2ENC_SUPPORT)
  list(
    APPEND
    HDRS
    mpeg2enc/api.h
    mpeg2enc/global.h
    mpeg2enc/mpeg2enc.h
    mpeg2enc/putseq.h
    mpeg2enc/vlc.h
  )
  list(
    APPEND
    SRCS
    mpeg2enc/api.c
    mpeg2enc/conform.c
    mpeg2enc/fdctref.c
    mpeg2enc/idct.c
    mpeg2enc/motion.c
    mpeg2enc/predict.c
    mpeg2enc/putbits.c
    mpeg2enc/puthdr.c
    mpeg2enc/putmpg.c
    mpeg2enc/putpic.c
    mpeg2enc/putseq.c
    mpeg2enc/putvlc.c
    mpeg2enc/quantize.c
    mpeg2enc/ratectl.c
    mpeg2enc/readpic.c
    mpeg2enc/stats.c
    mpeg2enc/transfrm.c
    mpeg2enc/writepic.c
  )
endif()

if(SIMAGE_QIMAGE_SUPPORT)
  list(APPEND HDRS include/simage_qimage.h)
  list(APPEND SRCS src/simage_qimage.cpp)
endif()

if(SIMAGE_QUICKTIME_SUPPORT)
  list(APPEND HDRS include/simage_quicktime.h)
  list(APPEND SRCS src/simage_quicktime.c)
endif()

## simage 1.7.1~2c958a6.dfsg

=== debian/changelog ===
simage (1.7.1~2c958a6.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS for libpng 1.6 (Closes: #648126)

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Jan 2016 13:14:52 +0100

simage (1.7.1~2c958a6.dfsg-2) unstable; urgency=low

  * [c1de859] Build-depend on libtiff-dev rather than libtiff4-dev.
  * [edf2727] Use autotools_dev in debian/rules. (Closes: #727506)
  * [1f700b0] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Sat, 26 Oct 2013 22:10:06 +0200

simage (1.7.1~2c958a6.dfsg-1) unstable; urgency=low

  * [1be4aa5] Change BD from libpng12-dev to libpng-dev. (Closes: #662501)
  * [8234963] Imported Upstream version 1.7.1~2c958a6.dfsg
  * [7e98ca1] Use DEP-5 for copyright. Update license info (BSD-license).
  * [8087795] Install examples.

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Jun 2013 22:11:44 +0200

simage (1.7.0-2) unstable; urgency=low

  * [9b70640] Switch to git.
  * [89d6206] Update homepage.
  * [55817ca] Use 3.0 (quilt) format
  * [1dd0c81] Use compat-level 9
  * [697b65e] Move to dh.
  * [b4f09fc] Implement multiarch.
  * [6534595] Use Standards-Version: 3.9.4. No changes.
  * [dca881b] Use canonical VCS-field.
  * [0148584] Update description.

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Jun 2013 09:05:48 +0200

simage (1.7.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use libjpeg-dev instead of libjpeg62-dev (closes: #629974).

 -- Julien Cristau <jcristau@debian.org>  Mon, 25 Jul 2011 23:22:41 +0200

simage (1.7.0-1) unstable; urgency=low

  * New upstream.
    - updates to autotooling, including libtool scripts.  Closes: #342685.

  * patches/01_src-Makefile-link-with-c.diff:
  * patches/02_simage-config.patch: Removed.  Issued addressed upstream.
  
  * patches/01_configure-shared-static.patch: New.  Allow building both
    shared and static libs.

 -- Steve M. Robbins <smr@debian.org>  Sat, 27 Feb 2010 12:00:41 -0600

simage (1.6.1-5) unstable; urgency=low

  * patches/02_simage-config.patch: New.  Remove problematic whitespace
    ahead of here-doc delimiter "EOF".  Closes: #551337.

 -- Steve M. Robbins <smr@debian.org>  Sat, 17 Oct 2009 16:44:15 -0500

simage (1.6.1-4) unstable; urgency=low

  * control: Change deps from transitional packages of libgif to actual
    packages.  Closes: #540530.  Add ${misc:Depends}.  Set
    Standards-Version to 3.8.3.

  * compat:
  * control: Update debhelper compatibility to version 7.
  
  * rules: Set dependency_libs variable in .la file to empty string, per
    http://lists.debian.org/debian-devel/2009/08/msg00783.html
  
 -- Steve M. Robbins <smr@debian.org>  Sun, 06 Sep 2009 20:56:11 -0500

simage (1.6.1-3) unstable; urgency=low

  * control: Build-depend on cdbs, v5 of debhelper, and autotools-dev.
    Update Standards-Version to 3.7.3: change ${Source-Version} to
    ${binary:Version}.  Package libsimage-dev depends on all the graphic
    library -dev packages required to build.  Closes: #459781.
  
  * rules: Rewrite using cdbs.  CDBS automatically updates config.guess &
    config.sub.  Closes: #342685.
  
  * debian/patches/01_src-Makefile-link-with-c.diff: New.  Patch extracted
    from existing debian diff.

 -- Steve M. Robbins <smr@debian.org>  Tue, 08 Jan 2008 21:36:46 -0600

simage (1.6.1-2) unstable; urgency=low

  * debian/rules: Drop optimization level to -O2 for m68k in hopes
  of being able to compile on that platform.

 -- Steve M. Robbins <smr@debian.org>  Mon, 15 Aug 2005 22:57:58 -0400

simage (1.6.1-1) unstable; urgency=low

  * New upstream version.
  
  * src/Makefile.in: Do not use C++ compiler to link.

 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Jul 2005 23:39:37 -0400

simage (1.6.0-2) unstable; urgency=low

  * configure: don't quote "$LD" (thanks, Andreas Jochens).  Closes: #266240.

  * debian/control: put libsimage-dev in section libdevel.  Closes: #266391.

 -- Steve M. Robbins <smr@debian.org>  Sun, 29 Aug 2004 18:44:38 -0400

simage (1.6.0-1) unstable; urgency=low

  * Initial Debian packaging.  Closes: #109041.

 -- Steve M. Robbins <smr@debian.org>  Sun, 25 Jul 2004 16:10:57 -0400

=== debian/control ===
Source: simage
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Steve M. Robbins <smr@debian.org>,
 Anton Gladky <gladk@debian.org>
Vcs-Git: git://anonscm.debian.org/debian-science/packages/simage.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/simage.git
Homepage: https://bitbucket.org/Coin3D/simage
Section: graphics
Priority: optional
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 libgif-dev,
 libjpeg-dev,
 libpng-dev,
 libsndfile1-dev,
 libtiff-dev,
 libvorbis-dev,
 zlib1g-dev
Standards-Version: 3.9.4

Package: libsimage-dev
Architecture: any
Section: libdevel
Multi-Arch: foreign
Depends:
 libgif-dev,
 libjpeg-dev,
 libpng-dev,
 libsimage20 (= ${binary:Version}),
 libsndfile1-dev,
 libtiff-dev,
 libvorbis-dev,
 pkg-config,
 zlib1g-dev,
 ${misc:Depends}
Description: generic interface to various image file format libraries. Development files.
 The simage library provides a simplified and uniform interface to many
 image file format libraries, and it includes internal support for some
 image file formats too. The package ships development files.

Package: libsimage20
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: generic interface to various image file format libraries
 The simage library provides a simplified and uniform interface to many
 image file format libraries, and it includes internal support for some
 image file formats too.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autotools_dev

extra_flags = \
   --enable-static \
	 --with-targa \
	 --with-rgb \
	 --with-pic \
	 --with-xwd \
	 --with-eps \
	 --without-mpeg2enc

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

## simage 1.8.0

=== debian/changelog ===
simage (1.8.0-2build1) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:34:25 -0500

simage (1.8.0-2) unstable; urgency=medium

  [ Steve Robbins ]
  * New patch 0002-Change-non-error-output-to-stdout-instead-of-stderr.
    Change example code used in debian/tests to print non-error output
    to stdout rather than stderr.  Needed because output on stderr
    is considered a test failure.

 -- Steve M. Robbins <smr@debian.org>  Mon, 10 Feb 2020 20:55:18 -0600

simage (1.8.0-1) unstable; urgency=medium

  [ Steve Robbins ]
  * New upstream version 1.8.0
  * Update to debhlper 12.  Switch to cmake build system.
  * Refresh patches for 1.8.0.  New patch to fix CMake configuration.
  * Update files installed for libsimage-dev: no binary, no manpage, no Coin integration file.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Jan 2020 14:13:58 -0600

simage (1.7.1~2c958a6.dfsg-5) unstable; urgency=medium

  * Team upload.
  * [fdb52c1] Remove Testsuite-field in d/control
  * [c414858] Update VCS-fields to salsa
  * [7692dc1] Set Standards-Version to 4.1.4
  * [75c428f] Remove myself from uploaders
  * [b8c3acb] Remove multi-atch: foreign from d/control

 -- Anton Gladky <gladk@debian.org>  Tue, 22 May 2018 21:13:39 +0200

simage (1.7.1~2c958a6.dfsg-4) unstable; urgency=medium

  * [d223a78] Replace stderr by stdout in example.

 -- Anton Gladky <gladk@debian.org>  Tue, 06 Sep 2016 19:59:40 +0200

simage (1.7.1~2c958a6.dfsg-3) unstable; urgency=medium

  * [cd13cae] Apply cme fix dpkg.
  * [7aee1b8] Add autopkgtest.
  * [2132d39] Add include-binaries for the test image.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Sep 2016 19:23:07 +0200

## simage 1.8.3+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(SIMAGE_MAJOR_VERSION 1)
set(SIMAGE_MINOR_VERSION 8)
set(SIMAGE_MICRO_VERSION 3)
set(SIMAGE_BETA_VERSION)
set(SIMAGE_VERSION ${SIMAGE_MAJOR_VERSION}.${SIMAGE_MINOR_VERSION}.${SIMAGE_MICRO_VERSION}${SIMAGE_BETA_VERSION})

project(simage VERSION ${SIMAGE_MAJOR_VERSION}.${SIMAGE_MINOR_VERSION}.${SIMAGE_MICRO_VERSION})
string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)

# ############################################################################
# these will be removed after upgrading CMake minimum version
set(PROJECT_DESCRIPTION   "Image file format library abstraction layer")
# ############################################################################

string(TIMESTAMP SIMAGE_BUILD_YEAR "%Y")
math(EXPR SIMAGE_SO_VERSION ${PROJECT_VERSION_MAJOR}*20)
set(VERSION ${SIMAGE_VERSION})

if(POLICY CMP0054)
  # CMake version 3.14.5 warns when the policy is not set and uses OLD behaviour
  cmake_policy(SET CMP0054 NEW)
endif()

if(POLICY CMP0075)
  # get rid of CMAKE_REQUIRED_LIBRARIES warning from CMake 3.12
  cmake_policy(SET CMP0075 NEW)
endif()

# ############################################################################
# Prevent in-source builds, as they often cause severe build problems
# ############################################################################

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
  message(FATAL_ERROR "${CMAKE_PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake <path_to_${CMAKE_PROJECT_NAME}> [options]' from there.")
endif()

# ############################################################################
# Include necessary submodules
# ############################################################################

# Add path for Coin specific utility scripts
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(CheckCXXSourceCompiles)
include(CheckIncludeFiles)
include(CMakePackageConfigHelpers)
include(CMakeDependentOption)
include(GNUInstallDirs)
include(CoinCMakeUtilities)

# ############################################################################
# Provide options to customise the build
# ############################################################################

option(SIMAGE_BUILD_SHARED_LIBS "Build shared libraries" ON)
option(SIMAGE_BUILD_EXAMPLES "Build examples" ON)
option(SIMAGE_BUILD_TESTS "Build tests" ON)
option(SIMAGE_BUILD_DOCUMENTATION "Build and install API documentation (requires Doxygen)." OFF)
cmake_dependent_option(SIMAGE_USE_AVIENC "Use Video for Windows for AVI encoding" ON "WIN32" OFF)
cmake_dependent_option(SIMAGE_USE_GDIPLUS "Use GDI+ on Windows to load/save images" ON "WIN32" OFF)
cmake_dependent_option(SIMAGE_USE_CGIMAGE "Use CGImage on OS X to load/save images" ON "APPLE" OFF)
cmake_dependent_option(SIMAGE_USE_QUICKTIME "Use QuickTime on OS X to load/save images" OFF "APPLE" OFF)
option(SIMAGE_USE_QIMAGE "Use Qt's QImage to load/save images" OFF)
cmake_dependent_option(SIMAGE_USE_QT6 "Prefer Qt6 over Qt5 if available" OFF "SIMAGE_USE_QIMAGE" OFF)
cmake_dependent_option(SIMAGE_USE_QT5 "Prefer Qt5 over Qt4 if available" ON "SIMAGE_USE_QIMAGE" OFF)
option(SIMAGE_USE_CPACK "If enabled the cpack subrepo is mandatory" OFF)
option(SIMAGE_USE_STATIC_LIBS "Linking prefers static libs over CMake default" OFF)
cmake_dependent_option(SIMAGE_USE_MSVC_STATIC_RUNTIME "Build against static Microsoft Visual C runtime library." OFF "WIN32" OFF)

# ############################################################################
# Find all necessary and optional simage dependencies
# ############################################################################

# Fail early if one of the required packages cannot be found

if(SIMAGE_USE_QIMAGE)
  if(SIMAGE_USE_QT6)
    find_package(Qt6 COMPONENTS Core Gui QUIET)
  endif()

  if(NOT Qt6_FOUND AND SIMAGE_USE_QT5)
    find_package(Qt5 COMPONENTS Core Gui QUIET)
  endif()

  if(NOT Qt6_FOUND AND NOT Qt5_FOUND)
    set(QT_USE_IMPORTED_TARGETS ON)
    find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  endif()

  if(Qt6_FOUND)
    set(QT_FOUND TRUE)
    set(SIMAGE_QT_TARGETS Qt6::Core Qt6::Gui)
    list(APPEND PKG_CONFIG_REQUIRES_PRIVATE "Qt6Core" "Qt6Gui")
  elseif(Qt5_FOUND)
    set(QT_FOUND TRUE)
    set(SIMAGE_QT_TARGETS Qt5::Core Qt5::Gui)
    list(APPEND PKG_CONFIG_REQUIRES_PRIVATE "Qt5Core" "Qt5Gui")
  else()
    set(SIMAGE_QT_TARGETS Qt4::QtCore Qt4::QtGui)
    include(${QT_USE_FILE})
    list(APPEND PKG_CONFIG_REQUIRES_PRIVATE "QtCore" "QtGui")
  endif()
endif()

# Prefer linking of static libs over CMake default rules by adjusting CMAKE_FIND_LIBRARY_SUFFIXES
if(SIMAGE_USE_STATIC_LIBS)
  set(_simage_ORIG_CMAKE_FIND_LIBRARY_SUFFIXES ${CMAKE_FIND_LIBRARY_SUFFIXES})
  if(WIN32)
    set(CMAKE_FIND_LIBRARY_SUFFIXES .lib .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
  else()
    set(CMAKE_FIND_LIBRARY_SUFFIXES .a )
  endif()
endif()

# On Windows GDI+ supports GIF, JPEG, EXIF, PNG, and TIFF.
# see https://docs.microsoft.com/en-us/windows/desktop/gdiplus/-gdiplus-types-of-bitmaps-about
if(SIMAGE_USE_GDIPLUS)
  set(CMAKE_REQUIRED_LIBRARIES gdiplus)
  check_cxx_source_compiles("
    #include <windows.h>
    #include <gdiplus.h>
    int main() {
      Gdiplus::Bitmap * bitmap = NULL;
      Gdiplus::BitmapData bitmapData;
      Gdiplus::Rect rect(0, 0, 100, 100);
      return 0;
    }
  " GDIPLUS_FOUND)
  unset(CMAKE_REQUIRED_LIBRARIES)
endif()
if(SIMAGE_USE_AVIENC)
  set(CMAKE_REQUIRED_LIBRARIES vfw32)
  check_cxx_source_compiles("
    #include <windows.h>
    #include <vfw.h>
    int main() {
      AVIFileInit();
      AVIFileExit();
      return 0;
    }
  " VFW_FOUND)
  unset(CMAKE_REQUIRED_LIBRARIES)
endif()

# On macOS QuickTime supports BMP, GIF, JPEG, JPEG 2000, PNG, TIFF, and TGA.
# see https://en.wikipedia.org/wiki/QuickTime
if(SIMAGE_USE_QUICKTIME)
  find_package(QuickTime REQUIRED)
endif()

if(SIMAGE_USE_CGIMAGE)
  find_library(APPLICATION_SERVICES ApplicationServices)
  find_library(CORE_FOUNDATION CoreFoundation)
  set(CMAKE_REQUIRED_LIBRARIES ${APPLICATION_SERVICES} ${CORE_FOUNDATION})
  check_cxx_source_compiles("
    #include <CoreFoundation/CoreFoundation.h>
    #include <ApplicationServices/ApplicationServices.h>
    int main() {
      CFStringRef cfname = CFStringCreateWithCString(kCFAllocatorDefault, \"filename.png\", kCFStringEncodingUTF8);
      CFURLRef texture_url = CFURLCreateWithFileSystemPath(kCFAllocatorDefault, cfname, kCFURLPOSIXPathStyle, false);
      CGImageSourceRef image_source = CGImageSourceCreateWithURL(texture_url, NULL);
      return 0;
    }
  " CGIMAGE_FOUND)
  unset(CMAKE_REQUIRED_LIBRARIES)
endif()

cmake_dependent_option(SIMAGE_AVIENC_SUPPORT "Enable support for AVI encoding (Win32 only)" ON "SIMAGE_USE_AVIENC;VFW_FOUND" OFF)
cmake_dependent_option(SIMAGE_CGIMAGE_SUPPORT "Use CGImage on macOS to load/save images" ON "SIMAGE_USE_CGIMAGE;CGIMAGE_FOUND" OFF)
cmake_dependent_option(SIMAGE_GDIPLUS_SUPPORT "Use GDI+ on Windows to load/save images" ON "SIMAGE_USE_GDIPLUS;GDIPLUS_FOUND" OFF)
cmake_dependent_option(SIMAGE_QIMAGE_SUPPORT "Use Qt's QImage to load/save images" ON "SIMAGE_USE_QIMAGE;QT_FOUND" OFF)
cmake_dependent_option(SIMAGE_QUICKTIME_SUPPORT "Use QuickTime on macOS to load/save images" ON "SIMAGE_USE_QUICKTIME;QUICKTIME_FOUND" OFF)

option(SIMAGE_LIBJASPER_SUPPORT "Use libjasper to load/save JPEG 2000 images" OFF)
option(SIMAGE_LIBSNDFILE_SUPPORT "Use libsndfile to load/save sampled sound" ON)
option(SIMAGE_OGGVORBIS_SUPPORT "Enable support for ogg/vorbis extensions" ON)
option(SIMAGE_EPS_SUPPORT "Enable support for encapsulated postscript export" ON)
option(SIMAGE_MPEG2ENC_SUPPORT "Enable support for mpeg2 encoding" ON)
option(SIMAGE_PIC_SUPPORT "Enable support for PIC images" ON)
option(SIMAGE_RGB_SUPPORT "Enable support for RGB images" ON)
cmake_dependent_option(SIMAGE_TGA_SUPPORT "Enable support for Targa images" ON "NOT SIMAGE_QUICKTIME_SUPPORT;NOT SIMAGE_CGIMAGE_SUPPORT" OFF)
option(SIMAGE_XWD_SUPPORT "Enable support for XWD images (experimental)" OFF)
cmake_dependent_option(SIMAGE_ZLIB_SUPPORT "Enable support for zlib library" ON "NOT SIMAGE_QUICKTIME_SUPPORT;NOT SIMAGE_CGIMAGE_SUPPORT;NOT SIMAGE_GDIPLUS_SUPPORT" OFF)
cmake_dependent_option(SIMAGE_GIF_SUPPORT "Enable support for GIF images" ON "NOT SIMAGE_QUICKTIME_SUPPORT;NOT SIMAGE_CGIMAGE_SUPPORT;NOT SIMAGE_GDIPLUS_SUPPORT" OFF)
cmake_dependent_option(SIMAGE_JPEG_SUPPORT "Enable support for JPEG images" ON "NOT SIMAGE_QUICKTIME_SUPPORT;NOT SIMAGE_CGIMAGE_SUPPORT;NOT SIMAGE_GDIPLUS_SUPPORT" OFF)
cmake_dependent_option(SIMAGE_PNG_SUPPORT "Enable support for PNG images" ON "NOT SIMAGE_QUICKTIME_SUPPORT;NOT SIMAGE_CGIMAGE_SUPPORT;NOT SIMAGE_GDIPLUS_SUPPORT" OFF)
cmake_dependent_option(SIMAGE_TIFF_SUPPORT "Enable support for TIFF images" ON "NOT SIMAGE_QUICKTIME_SUPPORT;NOT SIMAGE_CGIMAGE_SUPPORT;NOT SIMAGE_GDIPLUS_SUPPORT" OFF)

report_prepare(
  SIMAGE_BUILD_SHARED_LIBS
  SIMAGE_BUILD_DOCUMENTATION
  SIMAGE_USE_QIMAGE
  SIMAGE_USE_QT5
  SIMAGE_LIBJASPER_SUPPORT
  SIMAGE_LIBSNDFILE_SUPPORT
  SIMAGE_OGGVORBIS_SUPPORT
  SIMAGE_QIMAGE_SUPPORT
  SIMAGE_EPS_SUPPORT
  SIMAGE_MPEG2ENC_SUPPORT
  SIMAGE_PIC_SUPPORT
  SIMAGE_RGB_SUPPORT
  SIMAGE_TGA_SUPPORT
  SIMAGE_XWD_SUPPORT
  SIMAGE_ZLIB_SUPPORT
  SIMAGE_GIF_SUPPORT
  SIMAGE_JPEG_SUPPORT
  SIMAGE_PNG_SUPPORT
  SIMAGE_TIFF_SUPPORT
  IF_WIN32
    SIMAGE_USE_AVIENC
    SIMAGE_USE_GDIPLUS
    SIMAGE_AVIENC_SUPPORT
    SIMAGE_GDIPLUS_SUPPORT
  IF_APPLE
    SIMAGE_USE_CGIMAGE
    SIMAGE_USE_QUICKTIME
    SIMAGE_CGIMAGE_SUPPORT
    SIMAGE_QUICKTIME_SUPPORT
)

# ##########################################################################
# Setup build environment
# ##########################################################################

if(NOT CMAKE_BUILD_TYPE)
  # Has no effect for multi configuration generators (VisualStudio, Xcode).
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose type of build, options are Debug, Release, RelWithDebInfo, MinSizeRel." FORCE)
endif()
# Set common output directories for all targets built.
# First for the generic no-config case (e.g. with mingw)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
# Second, for multi-config builds (e.g. msvc)
foreach (_config ${CMAKE_CONFIGURATION_TYPES})
  string(TOUPPER ${_config} _config)
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${_config} "${CMAKE_BINARY_DIR}/lib")
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_${_config} "${CMAKE_BINARY_DIR}/lib")
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_${_config} "${CMAKE_BINARY_DIR}/bin")
endforeach()

if(SIMAGE_GDIPLUS_SUPPORT)
  set(CMAKE_REQUIRED_LIBRARIES gdiplus)
  check_cxx_source_compiles("
    #include <windows.h>
    #if defined(_MSC_VER) && (_MSC_VER == 1200) && !defined(ULONG_PTR)
    #define ULONG_PTR ULONG
    #endif
    #include <gdiplus.h>
    int main() { return 0; }
  " HAVE_GDIPLUS_H)
  check_cxx_source_compiles("
    #include <windows.h>
    #if defined(_MSC_VER) && (_MSC_VER == 1200) && !defined(ULONG_PTR)
    #define ULONG_PTR ULONG
    #endif
    #include <gdiplus.h>
    int main() {
      Gdiplus::Bitmap * bitmap = NULL;
      Gdiplus::BitmapData bitmapData;
      Gdiplus::Rect rect(0, 0, 100, 100);
      Gdiplus::Status result = bitmap->LockBits(&rect, Gdiplus::ImageLockModeRead, PixelFormat32bppARGB, &bitmapData);
      return 0;
    }
  " HAVE_GDIPLUS_LOCKBITS_RECTARG_POINTER)
  unset(CMAKE_REQUIRED_LIBRARIES)
endif()

if(SIMAGE_LIBJASPER_SUPPORT)
  find_package(Jasper REQUIRED)
  if(JASPER_FOUND AND SIMAGE_USE_STATIC_LIBS)
    add_definitions(-DJAS_DLL=0)
  endif()
endif()

if(SIMAGE_LIBSNDFILE_SUPPORT)
  find_package(Sndfile REQUIRED)
  if(SNDFILE_FOUND)
    find_package(FLAC REQUIRED)
  endif()
endif()

if(SIMAGE_OGGVORBIS_SUPPORT)
  find_package(Ogg REQUIRED)
  find_package(Vorbis REQUIRED)
  if(OGG_FOUND)
    find_package(Opus)
  endif()
endif()

=== debian/changelog ===
simage (1.8.3+ds-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [6873332] Drop use of embedded quantize code in favour of using giflib
    version.  The gifbib prototype has added const qualifiers that make the
    function delcarations incompatible.  Closes: #1065721.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 Mar 2024 17:39:45 -0600

simage (1.8.3+ds-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [abae010] Add watch file.
  * [a232d5f] Upstream source: set to github.  Add files-excluded.
    Fix copyright short name.
  * [5ffbb4e] New upstream version 1.8.3+ds
  * [0a796d0] Don't add C flags to pkgconfig file.

 -- Steve M. Robbins <smr@debian.org>  Sun, 02 Jul 2023 14:16:30 -0500

=== debian/control ===
Source: simage
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: graphics
Priority: optional
Build-Depends: cmake,
               debhelper (>= 12),
               libgif-dev,
               libjpeg-dev,
               libpng-dev,
               libsndfile1-dev,
               libtiff-dev,
               libvorbis-dev,
               zlib1g-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/simage
Vcs-Git: https://salsa.debian.org/science-team/simage.git
Homepage: https://bitbucket.org/Coin3D/simage

Package: libsimage-dev
Architecture: any
Section: libdevel
Depends: libgif-dev,
         libjpeg-dev,
         libpng-dev,
         libsimage20 (= ${binary:Version}),
         libsndfile1-dev,
         libtiff-dev,
         libvorbis-dev,
         pkg-config,
         zlib1g-dev,
         ${misc:Depends}
Description: generic interface to various image file format libraries. Development files.
 The simage library provides a simplified and uniform interface to many
 image file format libraries, and it includes internal support for some
 image file formats too. The package ships development files.

Package: libsimage20
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: generic interface to various image file format libraries
 The simage library provides a simplified and uniform interface to many
 image file format libraries, and it includes internal support for some
 image file formats too.

## simage 1.8.4%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: simage
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 12),
+               debhelper-compat (= 13),
                libgif-dev,
                libjpeg-dev,
                libpng-dev,
@@ -12,10 +12,10 @@
                libtiff-dev,
                libvorbis-dev,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/simage
 Vcs-Git: https://salsa.debian.org/science-team/simage.git
-Homepage: https://bitbucket.org/Coin3D/simage
+Homepage: https://www.coin3d.org/simage/html/
 
 Package: libsimage-dev
 Architecture: any
@@ -27,7 +27,7 @@
          libsndfile1-dev,
          libtiff-dev,
          libvorbis-dev,
-         pkg-config,
+         pkgconf,
          zlib1g-dev,
          ${misc:Depends}
 Description: generic interface to various image file format libraries. Development files.

## simage 1.8.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.0...3.29)
 
 set(SIMAGE_MAJOR_VERSION 1)
 set(SIMAGE_MINOR_VERSION 8)
-set(SIMAGE_MICRO_VERSION 3)
+set(SIMAGE_MICRO_VERSION 4)
 set(SIMAGE_BETA_VERSION)
 set(SIMAGE_VERSION ${SIMAGE_MAJOR_VERSION}.${SIMAGE_MINOR_VERSION}.${SIMAGE_MICRO_VERSION}${SIMAGE_BETA_VERSION})
 
@@ -58,6 +58,7 @@
 option(SIMAGE_BUILD_EXAMPLES "Build examples" ON)
 option(SIMAGE_BUILD_TESTS "Build tests" ON)
 option(SIMAGE_BUILD_DOCUMENTATION "Build and install API documentation (requires Doxygen)." OFF)
+option(SIMAGE_BUILD_AWESOME_DOCUMENTATION "Build and install API documentation in new modern style (requires Doxygen)." OFF)
 cmake_dependent_option(SIMAGE_USE_AVIENC "Use Video for Windows for AVI encoding" ON "WIN32" OFF)
 cmake_dependent_option(SIMAGE_USE_GDIPLUS "Use GDI+ on Windows to load/save images" ON "WIN32" OFF)
 cmake_dependent_option(SIMAGE_USE_CGIMAGE "Use CGImage on OS X to load/save images" ON "APPLE" OFF)
@@ -191,6 +192,7 @@
 report_prepare(
   SIMAGE_BUILD_SHARED_LIBS
   SIMAGE_BUILD_DOCUMENTATION
+  SIMAGE_BUILD_AWESOME_DOCUMENTATION
   SIMAGE_USE_QIMAGE
   SIMAGE_USE_QT5
   SIMAGE_LIBJASPER_SUPPORT
@@ -282,11 +284,3 @@
   endif()
 endif()
 
-if(SIMAGE_OGGVORBIS_SUPPORT)
-  find_package(Ogg REQUIRED)
-  find_package(Vorbis REQUIRED)
-  if(OGG_FOUND)
-    find_package(Opus)
-  endif()
-endif()
-

=== debian/changelog ===
simage (1.8.4+ds-1) unstable; urgency=medium

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * [315f9bc] Install cmake files.
  * [52ca665] install simage-config
  * [2b8f2ec] install simage-default.cfg

 -- Steve M. Robbins <smr@debian.org>  Thu, 14 Aug 2025 22:33:54 -0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

# Need to override all the autotools stuff because the sources still
# have autoconf/automake files in them.  Running the dh_ auto stuff
# fails, however.
override_dh_update_autotools:
override_dh_update_autotools_config:
override_dh_autoreconf:

=== debian/tests/control ===
Tests: check1 check2
Depends: libsimage-dev, build-essential

=== debian/watch ===
version=4
opts=dversionmangle=s/[+~]ds\d*$//,repacksuffix=+ds \
   https://github.com/coin3d/simage/tags .*\/v(\d\S+)\.tar\.gz
